package cn.iocoder.yudao.module.system.service.equipment;

import cn.iocoder.yudao.module.system.dal.dataobject.equipment.DistributeRecordDO;

import javax.validation.Valid;

/**
 * 考勤机下发记录 Service 接口
 *
 * @author 符溶馨
 */
public interface DistributeRecordService {

    /**
     * 创建考勤机下发记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDistributeRecord(@Valid DistributeRecordDO createReqVO);

    /**
     * 获得考勤机下发记录
     *
     * @param id 编号
     * @return 考勤机下发记录
     */
    DistributeRecordDO getDistributeRecord(Long id);
}