package cn.iocoder.yudao.module.system.api.equipment;

import cn.iocoder.yudao.module.system.service.equipment.AttendanceMachineService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
public class AttendanceMachineApiImpl implements AttendanceMachineApi{

    @Resource
    private AttendanceMachineService attendanceMachineService;

    @Override
    public void updateAttendanceMachineStatus(String deviceNo) {

        attendanceMachineService.updateAttendanceMachineStatus(deviceNo);
    }
}
