package cn.iocoder.yudao.module.system.dal.dataobject.equipment;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 考勤机下发记录 DO
 *
 * @author 符溶馨
 */
@TableName("kq_distribute_record")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributeRecordDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 设备编号
     */
    private String deviceNo;
    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 记录类型
     * 0删除  1下发
     */
    private Integer type;
    /**
     * 下发结果
     */
    private String result;

}